<?php
/**
 * WordPress database connectivity tests by WP White Security
 * @link https://www.wpwhitesecurity.com 
 *
 * @package dbtest
 */

// Define database constants.
define( 'DBTEST_HOST', '#HOST' ); // REPLACE VALUE WITH YOUR HOST IP ADDRESS OR HOSTNAME.
define( 'DBTEST_DATABASE', '#DATABASE' ); // REPLACE VALUE WITH YOUR DATABASE NAME.
define( 'DBTEST_USER', '#DB_USER' );      // REPLACE VALUE WITH YOUR DATABASE USERNAME.
define( 'DBTEST_PASSWORD', '#DB_PASSWORD' );  // REPLACE VALUE WITH YOUR DATABASE USER PASSWORD.

$db_connection = mysqli_connect( DBTEST_HOST, DBTEST_USER, DBTEST_PASSWORD, DBTEST_DATABASE ); // phpcs:ignore

if ( ! $db_connection ) {
	echo '<h2>Error: ' . mysqli_connect_error() . '</h2>' . PHP_EOL; // phpcs:ignore
	echo '<h3>Error code: ' . mysqli_connect_errno() . '</h3>' . PHP_EOL; // phpcs:ignore
	exit;
} else {
	echo '<h3>1. Successfully connected to MySQL database server.</h3>' . PHP_EOL;

	$select_db = mysqli_select_db( $db_connection, DBTEST_DATABASE ); // phpcs:ignore

	if ( ! $select_db ) {
		echo '<h3>Unknown database "' . DBTEST_DATABASE . '"</h3>' . PHP_EOL; // phpcs:ignore
		exit;
	} else {
		echo '<h3>2. WordPress MySQL database selected.</h3>' . PHP_EOL;
	}

	mysqli_close( $db_connection ); // phpcs:ignore
}
